#!/bin/bash

# Utilisation uniquement comme sous programme
# Requis : sha1sum. Pour vérifier, taper en console : "sha1sum --help"

# Rafael Venancio
# 29/05/2009 Version initiale



#$1 : basename de l'archive Dar
#$2 : numéro de l'archive Dar
formatFichier="$3"
targetDir="$4" 
backupDir="$5"
diskDir="$6"


echo "Fichier $1.$2.$formatFichier"
echo -n " - création... "



echo -n "checksum... "
#==============================================================================
sha1sum "$1.$2.$formatFichier" > "$1.$2.$formatFichier".sha1



echo -n "copie... "
#==============================================================================
COPIEOK="o"

cp "$1.$2.$formatFichier" "$targetDir/$backupDir/$diskDir/"
if [ "$?" -ne "0" ]; then # le '$?' == code sortie de la dernière commande'
	echo "echec"
	COPIEOK="n"
fi	

cp "$1.$2.$formatFichier.sha1"  "$targetDir/$backupDir/$diskDir/"
if [ "$?" -ne "0" ]; then # le '$?' == code sortie de la dernière commande'
	echo "echec"
	COPIEOK="n"
fi	

if [ "$COPIEOK" != "o" ]; then
	echo "Copie : echec"
	echo " "
	echo "Interruption du script."
	echo "Traiter le problème et relancer le script"
	echo " "
	echo " "
	echo " "
	setterm -cursor on # Demasquage du curseur
	exit 1
fi



echo -n "verification... "
#==============================================================================
sha1sum -c $targetDir/$backupDir/$diskDir/"$1.$2.$formatFichier".sha1 >/dev/null

if [ "$?" -ne "0" ]; then # le '$?' == code sortie de la dernière commande'
	echo "echec"
	echo " "
	echo "Interruption du script."
	echo "Traiter le problème et relancer le script"
	echo " "
	echo " "
	echo " "
	setterm -cursor on # Demasquage du curseur
	exit 1
fi	



echo -n "suppression... "
#==============================================================================
EFFACEROK="o"
	
rm "$1.$2.$formatFichier"
if [ "$?" -ne "0" ]; then # le '$?' == code sortie de la dernière commande' 
	echo "echec fichier $1.$2.$formatFichier"
	EFFACEROK="n"
fi

rm "$1.$2.$formatFichier.sha1"
if [ "$?" -ne "0" ]; then # le '$?' == code sortie de la dernière commande'
	echo "echec fichier $1.$2.$formatFichier.sha1"
	EFFACEROK="n"
fi	
	
if [ "$EFFACEROK" == "o" ]; then
	echo "OK"
else
	echo "echec"
	echo " "
	echo "Interruption du script."
	echo "Traiter le problème et relancer le script"
	echo " "
	echo " "
	echo " "
	setterm -cursor on # Demasquage du curseur
	exit 1
fi




exit 0
